### Method

# Ide CellRendererFancy take_title

#### Declaration

    void
    ide_cell_renderer_fancy_take_title (
      IdeCellRendererFancy* self,
      gchar* title
    )

#### Description

Like `ide_cell_renderer_fancy_set_title()` but takes ownership of `title`, saving a string copy.

Available since: | 3.32

#### Parameters

`title` | `gchar*`
| The new title.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.